Bug 5341 - (int143356/int-147998) Can't disable email notification - makes notification unusable if you receive lots of mail
(int143356/int-147998)
: Can't disable email notification - makes notification unusable if you receive...
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(2.2009.51-1)
: All Linux
: Low normal with 7 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-12 18:23 UTC by Murray Cumming
Modified: 2010-03-15 20:56 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-10-12 18:23:17 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
- Get an email
- The N900 vibrates.
- See a notification message on the desktop

EXPECTED OUTCOME:
- Find a way to disable this feature.

ACTUAL OUTCOME:
- Look for a way to stop that from happening. Fail.

REPRODUCIBILITY:
(always/sometimes/once)

Always

I get lots of email, so the email notification is just annoying. I want to pay
attention to email only when I choose to.
Comment 1 Mathias Hasselmann maemo.org 2009-10-15 20:29:51 UTC
We discussed this on #modest already.

For people receiving much mail, for instance bug mail, those email notification
completely break SMS, Call and IM notifications: Device vibrates that f***
often, that you start to ignore vibration alert (and therefore miss IM, Chat
and Calls).

This is quite a blocker bug.
Comment 2 Andre Klapper maemo.org 2009-10-16 03:13:12 UTC
Would it work for you if you had the option to only receive email notfications
for specific folders, e.g. the Inbox, or dou you really want to completely
disable it?
Comment 3 Mathias Hasselmann maemo.org 2009-10-16 10:56:30 UTC
(In reply to comment #2)
> Would it work for you if you had the option to only receive email notfications
> for specific folders, e.g. the Inbox, or dou you really want to completely
> disable it?
> 

I'd even disable it entirely.

On the other hand: Email notifications for specific folders could make the
feature useful again. So I could setup a folder for VIPs and get notified
instantly when they contact me.

When making the feature selective please allow choosing which folder or at
least account shall produce notifications: My private mail account's INBOX sees
way too much spam.
Comment 4 Murray Cumming (reporter) 2009-10-16 11:06:48 UTC
It would also be less annoying if we could just turn off the vibration for
email notifications. There is a setting (in settings, not in modest), to turn
down the volume of email notifications, but no way to turn off vibration for
email notification without turning it off vibration for all notifications.
Comment 5 Sergio Villar Senin 2009-10-16 16:45:40 UTC
(In reply to comment #4)
> It would also be less annoying if we could just turn off the vibration for
> email notifications. There is a setting (in settings, not in modest), to turn
> down the volume of email notifications, but no way to turn off vibration for
> email notification without turning it off vibration for all notifications.

Exactly, vibration can only be set for all the platform. Thing is that I don't
see what has this to do with Modest, there is a little bit we can do about
that...
Comment 6 Andre Klapper maemo.org 2009-10-16 16:49:55 UTC
Hmm, now I wonder which component this might be instead...
Comment 7 Murray Cumming (reporter) 2009-10-16 16:52:03 UTC
The vibration thing was just a suggestion. Fair enough if that would be against
the platform's overall spec.

But there's still a strong wish to turn off all email notification and that's
definitely about modest.
Comment 8 Andre Klapper maemo.org 2009-10-21 16:18:02 UTC
Potential solution would be to have a new setting in Email's Global settings:
/-----------------------------\
| |X|  Incoming notifications |
\-----------------------------/
Comment 9 Sergio Villar Senin 2009-11-18 11:05:42 UTC
(In reply to comment #8)
> Potential solution would be to have a new setting in Email's Global settings:
> /-----------------------------\
> | |X|  Incoming notifications |
> \-----------------------------/
> 

Actually designers at Nokia approved that, and Modest will eventually have that
setting. It'll be available soon in git repository, but as usual I don't know
when it will be shipped to the product.
Comment 10 Andre Klapper maemo.org 2009-11-24 14:12:53 UTC
UI Specification now defines a checkbox "Incoming notifications" if you go to
"Settings" from the Email application main menu.
Keeping this open until the code has been implemented.
Comment 11 Andre Klapper maemo.org 2009-11-27 18:51:35 UTC
Code has been implemented now.
Closing once this has been verified internally.
Comment 12 Andre Klapper maemo.org 2009-12-11 19:47:02 UTC
This has been fixed in package
modest 3.2.3-1+0m5
which is part of the internal build version
2009.50-7
(Note that 2009 is the year and the number after is the week.)

Any public update released with or after this build version will include the
fix.
Please verify that the new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.
For your information, Nokia does not announce release dates of updates in
advance.
Comment 13 Andre Klapper maemo.org 2010-01-14 13:41:37 UTC
(Fix not included in today's 2.2009.51-1 update => updating Version field)
Comment 14 Andre Klapper maemo.org 2010-03-15 20:56:00 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).